Get Webhook
curl --request GET \
--url https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId} \
--header 'key: <key>' \
--header 'secret: <secret>'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}"
headers = {
"key": "<key>",
"secret": "<secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {key: '<key>', secret: '<secret>'}};
fetch('https://apimgmt.cometchat.io/apps/{appId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "test_webhook201",
"name": "test_webhook201",
"webhookURL": "https://example.com/test",
"createdAt": 1684141151,
"updatedAt": 1684141151
}
}
]
}Webhooks
Get Webhook
Gets details of a webhook in an app.
GET
/
apps
/
{appId}
/
webhooks
/
{webhookId}
Get Webhook
For the complete error reference, see Error Guide.
Headers
Authorization Key
Authorization Secret
The "X-Webhook-Version" header is an optional integer property.When this header is omitted from the request, the system defaults to the legacy webhook, ensuring backward compatibility and seamless operation.Conversely, setting the value of this header to "2" indicates the preference for the new webhook implementation.
Path Parameters
AppID in which the extension has to be enabled/disabled
Id of the webhook
Response
200 - application/json
Get Webhook
Show child attributes
Show child attributes
Was this page helpful?
⌘I